Walletguide
DevelopersAPIReferencecategories

Bulk

Transactional bulk create; either all rows are created or none.

POST
/wallets/{walletId}/categories/bulk

Authorization

bearerAuth
headerAuthorization<token>

A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.

Path Parameters

walletId*string

Row uuid

Formatuuid

Request Body

application/json
  1. body
items*array<>
Items1 <= items <= 1000

Response Body

The created categories, in input order

application/json
  1. response
[index: integer]?
Example Request
curl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/categories/bulk' \  -H 'Content-Type: application/json' \  -d '{  "items": [    {      "name": "string",      "type": "activeIncome"    }  ]}'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",    "firestoreId": "string",    "name": "string",    "type": "activeIncome",    "emoji": "string",    "system": true,    "systemKey": "string",    "order": -140737488355328,    "categoryGroupId": "94a69c98-7014-42e1-a3ec-9154712b315b",    "createdTime": "2019-08-24T14:15:22Z",    "createdUserId": "string",    "lastUpdatedTime": "2019-08-24T14:15:22Z",    "lastUpdatedUserId": "string"  }]